Table.Validate
curl --request POST \
--url https://api.retab.com/v1/tables/{table_id}/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"required_columns": [],
"columns": {},
"unique": []
}
'import requests
url = "https://api.retab.com/v1/tables/{table_id}/validate"
payload = {
"required_columns": [],
"columns": {},
"unique": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({required_columns: [], columns: {}, unique: []})
};
fetch('https://api.retab.com/v1/tables/{table_id}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"table_id": "<string>",
"diagnostics": [],
"has_errors": false
}{
"detail": []
}Tables
Validate Table
POST
/
v1
/
tables
/
{table_id}
/
validate
Table.Validate
Validate table shape and column rules against the current CSV snapshot.
Python
result = client.tables.validate(
table_id="tbl_123",
required_columns=["countrycode"],
)
TypeScript
const result = await client.tables.validate("tbl_123", ["countrycode"]);
Go
result, err := client.Tables.Validate(ctx, "tbl_123", &retab.TablesValidateParams{
RequiredColumns: []string{"countrycode"},
})
Java
// Validate table requirements with the Retab Java client.
cURL
curl -X POST https://api.retab.com/v1/tables/tbl_123/validate \
-H "Authorization: Bearer $RETAB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"required_columns":["countrycode"]}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I